SystemOrganization addCategory: #ConfigurationOfShapeST80!

Object subclass: #ConfigurationOfShapeST80
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfShapeST80'!

!ConfigurationOfShapeST80 classSide methodsFor: 'development support' stamp: 'AlexandreBergel 5/18/2011 11:41'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfShapeST80 classSide methodsFor: 'private' stamp: 'AlexandreBergel 5/18/2011 11:41'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfShapeST80 classSide methodsFor: 'private' stamp: 'AlexandreBergel 5/18/2011 11:41'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfShapeST80 classSide methodsFor: 'private' stamp: 'AlexandreBergel 5/18/2011 11:41'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfShapeST80 classSide methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 5/18/2011 11:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfShapeST80 classSide methodsFor: 'loading' stamp: 'AlexandreBergel 5/18/2011 11:41'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfShapeST80 classSide methodsFor: 'loading' stamp: 'AlexandreBergel 5/18/2011 11:41'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfShapeST80 classSide methodsFor: 'loading' stamp: 'AlexandreBergel 5/18/2011 11:41'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfShapeST80 classSide methodsFor: 'accessing' stamp: 'AlexandreBergel 5/18/2011 11:41'!
project

	^self new project! !

!ConfigurationOfShapeST80 classSide methodsFor: 'development support' stamp: 'AlexandreBergel 5/18/2011 11:41'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfShapeST80 methodsFor: 'baselines' stamp: 'AlexandreBergel 5/18/2011 11:41'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.squeaksource.com/ShapeST80'.
		spec package: 'ShapeST80'.
		spec group: 'default' with: #('ShapeST80' ). ].
! !

!ConfigurationOfShapeST80 methodsFor: 'baselines' stamp: 'AlexandreBergel 5/18/2011 11:44'!
default: spec
	<version: 'default'>
	self baseline10: spec
! !

!ConfigurationOfShapeST80 methodsFor: 'symbolic versions' stamp: 'TudorGirba 4/13/2012 22:42'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.1'.
! !

!ConfigurationOfShapeST80 methodsFor: 'accessing' stamp: 'AlexandreBergel 5/18/2011 11:41'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfShapeST80 methodsFor: 'versions' stamp: 'AlexandreBergel 5/18/2011 11:41'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '5/18/2011 11:41'.
		spec package: 'ShapeST80' with: 'ShapeST80-AlexandreBergel.1'. ].
! !

!ConfigurationOfShapeST80 methodsFor: 'versions' stamp: 'TudorGirba 4/13/2012 22:45'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'renamed Path to GraphicalPath so that it does not clash with the Path from FileSystem'.
		spec author: 'TudorGirba'.
		spec timestamp: '4/13/2012 22:42'.
		spec package: 'ShapeST80' with: 'ShapeST80-TudorGirba.2'. ].
! !
